#1507 closed defect (fixed)

libblock: tests block09 segfault

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: lib/block Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, sebastian.huber@… Blocked By:
Blocking:

Description

From Joel to me:

I was running today on mips/jmr3904 and block09 is failing.

* TEST BLOCK 9 *
mips-core: 4 byte read to unmapped address 0xc at 0x88002e2c

Program received signal SIGBUS, Bus error.
0x88002e2c in rtems_bdbuf_swapout_write (transfer=0x8802dfc8)

at ../../../../../../rtems/c/src/../../cpukit/libblock/src/bdbuf.c:2337

2337 if ((dd->phys_dev->capabilities & RTEMS_BLKDEV_CAP_MULTISECTOR_CONT) &&
(gdb) bt
#0 0x88002e2c in rtems_bdbuf_swapout_write (transfer=0x8802dfc8)

at ../../../../../../rtems/c/src/../../cpukit/libblock/src/bdbuf.c:2337

#1 0x880032b0 in rtems_bdbuf_swapout_processing (arg=<value optimized out>)

at ../../../../../../rtems/c/src/../../cpukit/libblock/src/bdbuf.c:2585

#2 rtems_bdbuf_swapout_task (arg=<value optimized out>)

at ../../../../../../rtems/c/src/../../cpukit/libblock/src/bdbuf.c:2797

#3 0x88017a14 in _Thread_Handler ()

at ../../../../../../rtems/c/src/../../cpukit/score/src/threadhandler.c:146

#4 0x88017950 in ?? ()

Attachments (1)

block09.patch (525 bytes) - added by Sebastian Huber on Apr 29, 2010 at 6:56:25 AM.
Fix.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Apr 28, 2010 at 10:55:16 PM by Chris Johns

Status: newassigned

comment:2 Changed on Apr 29, 2010 at 12:52:51 AM by Joel Sherrill

Cc: Joel Sherrill added
Summary: libblock: tests block09 sigfaultlibblock: tests block09 segfault

Changed on Apr 29, 2010 at 6:56:25 AM by Sebastian Huber

Attachment: block09.patch added

Fix.

comment:3 Changed on Apr 29, 2010 at 11:08:57 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed, sebastian.huber@embedded-brains.de

Fixed in CVS head.

comment:4 Changed on Oct 10, 2017 at 6:49:52 AM by Sebastian Huber

Component: fslib/block
Note: See TracTickets for help on using tickets.